Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PlatformResource

    java.lang.Object
      org.hyperic.hq.appdef.shared.AIAppdefResourceValue
          org.hyperic.hq.appdef.shared.AIPlatformValue
              org.hyperic.hq.product.PlatformResource

All Implemented Interfaces:
  Serializable

    public class PlatformResource

extends AIPlatformValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addedAIIpValues, addedAIServerValues, removedAIIpValues, removedAIServerValues, updatedAIIpValues, updatedAIServerValues`

Constructor Summary
`PlatformResource()`

Method Summary
`void` | `addInterface(String address, String netmask, String mac)`
`void` | `setControlConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setControlConfig(Map config)`
`void` | `setCustomProperties(org.hyperic.util.config.ConfigResponse config)`
`void` | `setCustomProperties(Map props)`
`void` | `setMeasurementConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setMeasurementConfig(org.hyperic.util.config.ConfigResponse config, int logTrackLevel, boolean enableConfigTrack)`
`void` | `setMeasurementConfig(Map config)`
`void` | `setProductConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setProductConfig(Map config)`

Methods inherited from class org.hyperic.hq.appdef.shared.AIPlatformValue
`addAIIpValue, addAIServerValue, agentTokenHasBeenSet, certdnHasBeenSet, cleanAIIpValue, cleanAIServerValue, controlConfigHasBeenSet, copyAIIpValuesFrom, copyAIServerValuesFrom, cpuCountHasBeenSet, cTimeHasBeenSet, customPropertiesHasBeenSet, descriptionHasBeenSet, diffHasBeenSet, equals, fqdnHasBeenSet, getAddedAIIpValues, getAddedAIServerValues, getAgentToken, getAIIpValues, getAIServerValues, getCertdn, getControlConfig, getCpuCount, getCTime, getCustomProperties, getDescription, getDiff, getFqdn, getId, getIgnored, getLastApproved, getLocation, getMeasurementConfig, getMTime, getName, getPlatformTypeName, getProductConfig, getQueueStatus, getRemovedAIIpValues, getRemovedAIServerValues, getUpdatedAIIpValues, getUpdatedAIServerValues, hashCode, hasIdentity, idHasBeenSet, ignoredHasBeenSet, isIdentical, isPlatformDevice, lastApprovedHasBeenSet, locationHasBeenSet, measurementConfigHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, platformTypeNameHasBeenSet, productConfigHasBeenSet, queueStatusHasBeenSet, removeAIIpValue, removeAIServerValue, removeAllAIIpValues, removeAllAIServerValues, setAgentToken, setCertdn, setControlConfig, setCpuCount, setCTime, setCustomProperties, setDescription, setDiff, setFqdn, setId, setIgnored, setLastApproved, setLocation, setMeasurementConfig, setMTime, setName, setPlatformTypeName, setProductConfig, setQueueStatus, toString, updateAIIpValue, updateAIServerValue`

Methods inherited from class org.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformResource

    public PlatformResource()

Method Detail

### addInterface

    public void addInterface(String address,
                             String netmask,
                             String mac)

### setCustomProperties

    public void setCustomProperties(org.hyperic.util.config.ConfigResponse config)

### setProductConfig

    public void setProductConfig(org.hyperic.util.config.ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(org.hyperic.util.config.ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(org.hyperic.util.config.ConfigResponse config,
                                     int logTrackLevel,
                                     boolean enableConfigTrack)

### setControlConfig

    public void setControlConfig(org.hyperic.util.config.ConfigResponse config)

### setProductConfig

    public void setProductConfig(Map config)

### setMeasurementConfig

    public void setMeasurementConfig(Map config)

### setControlConfig

    public void setControlConfig(Map config)

### setCustomProperties

    public void setCustomProperties(Map props)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.